#include <map>
#include <string>
namespace mappings {
class Mappings {
  std::map<std::string, std::string> mappings;
  std::map<std::string, std::string> renames;

public:
  Mappings(std::map<std::string, std::string> mappings,
           std::map<std::string, std::string> renames) {
    this->mappings = mappings;
    this->renames = renames;
  }
  ~Mappings() = default;
  static Mappings load();
  std::string map(std::string inp);
};
} // namespace mappings
